Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package model
  Definition Classes
    doc
-  package diagram
  Definition Classes
    model
- ClassNode
- ContentDiagram
- ContentDiagramDepth
- DepthInfo
- Diagram
- DiagramDirectiveParser
- DiagramFactory
- ImplicitNode
- InheritanceDiagram
- Node
- NormalNode
- ObjectNode
- OtherNode
- OutsideNode
- ThisNode
- TraitNode
- TypeNode

c

scala.tools.nsc.doc.model.diagram

# InheritanceDiagram 

###

#### case class InheritanceDiagram(thisNode: ThisNode, superClasses: List[Node], subClasses: List[Node], incomingImplicits: List[ImplicitNode], outgoingImplicits: List[ImplicitNode]) extends Diagram with Product with Serializable

A class diagram

Source
  Diagram.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, Diagram, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InheritanceDiagram
2. Serializable
3. Serializable
4. Product
5. Equals
6. Diagram
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new InheritanceDiagram(thisNode: ThisNode, superClasses: List[Node], subClasses: List[Node], incomingImplicits: List[ImplicitNode], outgoingImplicits: List[ImplicitNode])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from InheritanceDiagram to any2stringadd[InheritanceDiagram] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (InheritanceDiagram, B)
   Implicit
     This member is added by an implicit conversion from InheritanceDiagram to ArrowAssoc[InheritanceDiagram] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  lazy val depthInfo: DepthInfo
   Definition Classes
     InheritanceDiagram → Diagram
9.  def edges: collection.immutable.List[(Node, collection.immutable.List[Node])]
   Definition Classes
     InheritanceDiagram → Diagram
10.  def ensuring(cond: (InheritanceDiagram) ⇒ Boolean, msg: ⇒ Any): InheritanceDiagram
    Implicit
      This member is added by an implicit conversion from InheritanceDiagram to Ensuring[InheritanceDiagram] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (InheritanceDiagram) ⇒ Boolean): InheritanceDiagram
    Implicit
      This member is added by an implicit conversion from InheritanceDiagram to Ensuring[InheritanceDiagram] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): InheritanceDiagram
    Implicit
      This member is added by an implicit conversion from InheritanceDiagram to Ensuring[InheritanceDiagram] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): InheritanceDiagram
    Implicit
      This member is added by an implicit conversion from InheritanceDiagram to Ensuring[InheritanceDiagram] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from InheritanceDiagram to StringFormat[InheritanceDiagram] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): java.lang.Class[_]
    Definition Classes
      AnyRef → Any
18.  val incomingImplicits: List[ImplicitNode]
19.  def isContentDiagram: Boolean
    Definition Classes
      Diagram
20.  def isInheritanceDiagram: Boolean
    Definition Classes
      InheritanceDiagram → Diagram
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  def nodes: collection.immutable.List[Node]
    Definition Classes
      InheritanceDiagram → Diagram
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  val outgoingImplicits: List[ImplicitNode]
27.  val subClasses: List[Node]
28.  val superClasses: List[Node]
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  val thisNode: ThisNode
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  def →[B](y: B): (InheritanceDiagram, B)
    Implicit
      This member is added by an implicit conversion from InheritanceDiagram to ArrowAssoc[InheritanceDiagram] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Diagram

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from InheritanceDiagram to any2stringadd[InheritanceDiagram]

### Inherited by implicit conversion StringFormat from InheritanceDiagram to StringFormat[InheritanceDiagram]

### Inherited by implicit conversion Ensuring from InheritanceDiagram to Ensuring[InheritanceDiagram]

### Inherited by implicit conversion ArrowAssoc from InheritanceDiagram to ArrowAssoc[InheritanceDiagram]

### Ungrouped